### Constructor

# Gtk FileLaunchernew

since: 4.10

#### Declaration [src]

    GtkFileLauncher*
    gtk_file_launcher_new (
      GFile* file
    )

#### Description [src]

Creates a new `GtkFileLauncher` object.

Available since: 4.10

#### Parameters

`file`

  Type: `GFile`

  The file to open.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkFileLauncher`

The new `GtkFileLauncher`

The caller of the function takes ownership of the data, and is responsible for freeing it.